curl --request GET \
--url https://api.skip.build/v2/tx/statusimport requests
url = "https://api.skip.build/v2/tx/status"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.skip.build/v2/tx/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Get /v2/tx/status
Get the status of the specified transaction and any subsequent IBC or Axelar transfers if routing assets cross chain. The transaction must have previously been submitted to either the /submit or /track endpoints.
Query Parameters
Hex encoded hash of the transaction to query for
Chain ID of the transaction
Response
The status of the transaction and any subsequent ibc or Axelar transfers.
The overall state reflecting the end-to-end status of all transfers initiated by the original transaction.
STATE_SUBMITTED, STATE_PENDING, STATE_ABANDONED, STATE_COMPLETED_SUCCESS, STATE_COMPLETED_ERROR, STATE_PENDING_ERROR DEPRECATED. This field provides a flat list of all transfer events. For a more structured and detailed status of each transfer leg, including its individual events, please use the 'transfers' array instead. This field may be removed in a future version.
Show child attributes
Show child attributes
Transfer status for all transfers initiated by the transaction in the order they were initiated.
Show child attributes
Show child attributes
Details about the next transfer in the sequence that is preventing further progress, if any.
Show child attributes
Show child attributes
Indicates location and denom of transfer asset release.
Show child attributes
Show child attributes
Details about any error encountered during the transaction or its subsequent transfers.
Show child attributes
Show child attributes
A high-level status indicator for the transaction's completion state.
"STATE_COMPLETED"
Was this page helpful?